Bug 500253 - Pre-Review Request: directory-naming - Directory Naming
Pre-Review Request: directory-naming - Directory Naming
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:10 EDT by Fernando Nasser
Modified: 2009-08-20 13:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 13:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:10:41 EDT
Package needed for Maven 2.0.8

Spec URL: 
http://people.fedoraproject.org/~fnasser/directory-naming.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/directory-naming-0.8-3.jpp6.src.rpm

Description: 
Old directory/naming module.
Comment 1 Jerry James 2009-05-14 14:29:55 EDT
The license name should be "ASL 2.0".  All source files contain a header identifying this license.

When I use the subversion command under Source0, I get one harmless difference between my checked out tree and the tar file in the srpm, apparently due to differing time zones:

$ diff -durN directory-naming-0.8 directory-naming
diff -durN directory-naming-0.8/naming-core/src/test/org/apache/naming/AbstractContextTest.java directory-naming/naming-core/src/test/org/apache/naming/AbstractContextTest.java
--- directory-naming-0.8/naming-core/src/test/org/apache/naming/AbstractContextTest.java	2004-12-26 21:46:47.000000000 -0700
+++ directory-naming/naming-core/src/test/org/apache/naming/AbstractContextTest.java	2004-12-26 21:46:47.000000000 -0700
@@ -48,7 +48,7 @@
  * 
  * Basic tests included verify binding, context lookup, name composition, and list operations.
  * 
- * @version $Revision: 123386 $ $Date: 2004-12-27 05:46:47 +0100 (Mon, 27 Dec 2004) $
+ * @version $Revision: 123386 $ $Date: 2004-12-26 21:46:47 -0700 (Sun, 26 Dec 2004) $
  */
 public abstract class AbstractContextTest extends TestCase {
     

There are no precompiled files in the source tarball.

There are no other libraries inside of this one.

Once the license is fixed, this package passes pre-review.
Comment 2 Fernando Nasser 2009-05-17 23:36:48 EDT
License fixed.  Thanks for the pre-review!

Spec URL: 
http://people.fedoraproject.org/~fnasser/directory-naming.spec

SRPM URL:
http://people.fedoraproject.org/~fnasser/directory-naming-0.8-4.jpp6.src.rpm
Comment 3 Jerry James 2009-05-18 10:24:28 EDT
Looks good.  This one is approved.
Comment 4 Rudolf Kastl 2009-05-18 12:09:37 EDT
i thought that those jpp tags are supposed to be removed now?
Comment 5 Fernando Nasser 2009-05-20 16:38:32 EDT
The release tag has %{_dist} this is just a srpm created for review outside the build system, Koji will fill it with the right value.   Note that during the bootstrap, intermediate (non-final) versions may have a weird release tag but that will be discarded with the rebuilds.
Comment 6 Fernando Nasser 2009-05-20 16:39:36 EDT
New Package CVS Request
=======================
Package Name: directory-naming
Short Description: Directory Naming
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 7 Kevin Fenzi 2009-05-21 19:49:13 EDT
cvs done.
Comment 8 Alexander Kurtakov 2009-08-20 13:43:21 EDT
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128106

Note You need to log in before you can comment on or make changes to this bug.